## xpadneo-dkms 0.9.7%2Bgit20241224.8d20a23

=== debian/control ===
Source: xpadneo-dkms
Section: kernel
Priority: optional
Maintainer: xiangzelong <xiangzelong@deepin.org>
Build-Depends: debhelper-compat (= 13),
               dkms,
               dh-dkms,
Standards-Version: 4.6.2
Homepage: https://github.com/atar-axis/xpadneo

Package: xpadneo-dkms
Architecture: all
Depends: ${misc:Depends}, dkms
Description: Advanced Linux Driver for Xbox One Wireless Controller (shipped with Xbox One S)
