## xpadneo-dkms 0.9.7+git20241224.8d20a23

=== debian/changelog ===
xpadneo-dkms (0.9.7+git20241224.8d20a23-0deepin1) unstable; urgency=medium

  * New upstream release.

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 23 Jan 2025 11:02:00 +0800
