=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with dkms

# 设置模块名称
DKMS_NAME := hid-xpadneo

override_dh_auto_build:
	# DKMS 将处理构建过程，无需在此手动构建
	echo "DKMS 将在安装过程中构建模块。"

override_dh_auto_install:
	# 调用自定义的 install 规则，并传递 PREFIX 和其他变量
	dh_auto_install -- \
		ETC_PREFIX=etc/ \
		DOC_PREFIX=usr/share/doc/xpadneo/ \
		PREFIX=debian/xpadneo-dkms/
	mkdir debian/xpadneo-dkms/usr/lib/
	mv debian/xpadneo-dkms/etc/udev debian/xpadneo-dkms/usr/lib/
	rm -rf debian/xpadneo-dkms/etc/udev

override_dh_dkms:
	dh_dkms -- hid-xpadneo/dkms.conf
