## xpadneo-dkms 0.9.8

=== hid-xpadneo/src/Makefile ===
#
# Makefile for the HID driver
#
ccflags-y += -DVERSION=$(VERSION)
obj-m += hid-xpadneo.o
