=== debian/changelog ===
xpadneo-dkms (0.9.8-2) unstable; urgency=medium

  * Migrate to gbp workflow.
  * Update Vcs-* fields to point to Salsa.
  * Remove unnecessary Rules-Requires-Root field.
  * Move linux-headers-generic from Recommends to Depends.
  * Update watch file to version 5.
  * Add upstream metadata.
  * Add autopkgtest for DKMS module verification.
  * Add Salsa CI configuration.
  * Use common.postinst instead of dkms add and autoinstaller.
  * Ship upstream config dirs in DKMS source tree for post_install.

 -- Michael Lloyd <michael@micl.dev>  Tue, 24 Feb 2026 12:27:08 +1100

xpadneo-dkms (0.9.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1125989)

 -- Michael Lloyd <michael@micl.dev>  Tue, 20 Jan 2026 15:10:06 +1100
