=== debian/watch ===
Version: 5

Template: Github
Project: xpadneo
Owner: atar-axis
Dversion-Mangle: auto
